
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Shell中的条件判断语句if~then~fi / 憋错料</title>

    <meta name="description" content="Shell中的条件判断语句if~then~fi Shell中的条件判断语句是前面一篇&quot;Shell中的条件测试语句&quot;的升级篇,也就是说,前面的测试语句是为了现在的判断语句if~then~fi语句服务的. 我们还是按照注意点和代码实现的方式铺开: 1)基本的if-then-fi语句可以用来判断基本的单层的分支结构,其形式如下: 其中if后面的测试语句一般都使用[]命令来做.如下面的例子: #-----------------------------/chapter4/ex4-18.sh------------------ #! ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Shell中的条件判断语句if~then~fi</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>Shell中的条件判断语句是前面一篇“Shell中的条件测试语句”的升级篇，也就是说，前面的测试语句是为了现在的判断语句if~then~fi语句服务的。</p>
<p>我们还是按照注意点和代码实现的方式铺开：</p>
<p>1）基本的if-then-fi语句可以用来判断基本的单层的分支结构，其形式如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MTgwOTEwMTUxMDQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y0hWeGRYUnZaMlYwYUdWeS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p>其中if后面的测试语句一般都使用[]命令来做。如下面的例子：</p>
<pre>#-----------------------------/chapter4/ex4-18.sh------------------
#! /bin/sh
#使用条件测试判断/bin/bash是否是一个常规文件
if [ -f /bin/bash ]; then
	echo &quot;/bin/bash is a file&quot;
fi
</pre>
<p>2）if-then-else-fi语句可以处理两层的分支判断语句。如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MTgwOTE0NDc4Mjc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y0hWeGRYUnZaMlYwYUdWeS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<pre>#-----------------------------/chapter4/ex4-22.sh------------------
#! /bin/sh

#输出提示信息
echo &quot;Please enter a number:&quot;
#从键盘读取用户输入的数字
read num
#如果用户输入的数字大于10
if [ &quot;$num&quot; -gt 10 ]; then
		#输出大于10的提示信息
 	echo &quot;The number is greater than 10.&quot;
#否则
else
	#输出小于或者等于10的提示信息
		echo &quot;The number is equal to or less than 10.&quot;
fi
</pre>
<p>3）if-then-elif-then-elif-then-...-else-fi。这种语句可以实现多重判断，注意最后一定要以一个else结尾。如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MTgwOTE1NDQ0Njc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y0hWeGRYUnZaMlYwYUdWeS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<pre>#-----------------------------/chapter4/ex4-24.sh------------------
#! /bin/sh

echo &quot;Please enter a score:&quot;

read score

if [ -z &quot;$score&quot; ]; then
   echo &quot;You enter nothing.Please enter a score:&quot;
   read score
else
   if [ &quot;$score&quot; -lt 0 -o &quot;$score&quot; -gt 100 ]; then
      echo &quot;The score should be between 0 and 100.Please enter again:&quot;
      read score
   else
      #如果成绩大于90
      if [ &quot;$score&quot; -ge 90 ]; then
         echo &quot;The grade is A.&quot;
      #如果成绩大于80且小于90
      elif [ &quot;$score&quot; -ge 80 ]; then
         echo &quot;The grade is B.&quot;
      #如果成绩大于70且小于80
      elif [ &quot;$score&quot; -ge 70 ]; then
         echo &quot;The grade is C.&quot;
      #如果成绩大于60且小于70
      elif [ &quot;$score&quot; -ge 60 ]; then
         echo &quot;The grade is D.&quot;
      #如果成绩小于60
      else
         echo &quot;The grade is E.&quot;
      fi
   fi
fi
</pre>
<p>4）要退出程序的时候，可以使用exit status语句。退出的状态status为0的时候，意味着脚本成功运行结束；非0表示程序执行过程出现某些错误，不同的错误对应着不同的退出状态。尽管用户可以自定义程序中的退出状态status，但是通常情况下每个status都有特定的含义，因此在自定义返回status的时候，一定要避免造成歧义。例子如下：</p>
<pre>01   #-----------------------------/chapter4/ex4-26.sh------------------
02   #! /bin/sh
03
04   #如果文件已经存在，则直接退出，文件名时输入的第一个参数
05   if [ -e &quot;$1&quot; ]
06   then
07      echo &quot;file $1 exists.&quot;
08      exit 1
09   #如果文件不存在，则创建文件，使用touch来创建文件，也可以使用重定向来创建文件echo &quot;Hello~&quot; &gt; ./test.log  即在当前目录下新建一个test.log文件
10   else
11      touch &quot;$1&quot;
12      echo &quot;file $1 has been created.&quot;
13      exit 0
14   fi
</pre>
<p>5）case-esac语句实现多重条件判断。如下：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA1MTgwOTM0Mzg5MDU/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2Y0hWeGRYUnZaMlYwYUdWeS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L0NlbnRlcg==.jpg"></p>
<p>注意：每一个变量内容的程序段最后都需要两个分号 (;;) 来代表该程序段落的结束；每个变量情况最后都要有)结尾；其余情况用*)来表示；最后要用esac来结束，即case反过来。</p>
<pre>#-----------------------------/chapter4/ex4-27.sh------------------
#! /bin/sh

#输出提示信息
echo &quot;Hit a key,then hit return.&quot;
#读取用户按下的键
read keypress
#case语句开始
case &quot;$keypress&quot; in
   #小写字母
   [[:lower:]])
      echo &quot;Lowercase letter.&quot;;;
   #大写字母
   [[:upper:]])
      echo &quot;Uppercase letter.&quot;;;
   #单个数字
   [0-9])
      echo &quot;Digit.&quot;;;
   #其他字符
   *)
      echo &quot;other letter.&quot;;;
esac
</pre>
<p>参考：</p>
<p>《鸟哥的Linux私房菜》</p>
<p>《Shell从入门到精通》</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 13:04:11 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/case/" title="case">case</a>, <a href="https://www.biecuoliao.com/tag/shell/" title="shell">shell</a>, <a href="https://www.biecuoliao.com/tag/%e6%9d%a1%e4%bb%b6%e5%88%a4%e6%96%ad%e8%af%ad%e5%8f%a5/" title="条件判断语句">条件判断语句</a>, <a href="https://www.biecuoliao.com/tag/elif/" title="elif">elif</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Shell中的条件判断语句if~then~fi的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQeQP3.html" rel="bookmark">Shell中的条件测试语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Shell有条件测试语句,一般用test命令或是[]命令来完成,它们是条件判断语句if~then语句的基础,特别是[]命令.下面我们讲解一些条件测试语句. 1. test命令实现条件测试 对于检测系统中某些文件是否存在,或者相关属性时,test命令很好用. 其基本语法如下: test命令还可以测试字符串: test命令还可以测试整数之间的关系: 2. []命令来实现条件测试 使用中括号[]命令来实现条件测试功能时,要特别注意.因为中括号在很多地方都有用到,比如通配符和正则表达式.而在用[]表示条			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a5QvA0.html" rel="bookmark">linux shell中的条件判断</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 退出状态 在Linux系统中,每当一条命令执行完成后,系统都会返回一个退出状态,这个状态被存放在$? 这个变量中,是一个整数值,我们可以根据这个值来判断命令运行的结果是否正确. 通常情况下,退出状态值为0,表示执行成功,不为0的时候表示执行失败. POSIX规定的退出状态和退出状态的含义: 0       运行成功 1-255   运行失败,脚本命令.系统命令错误或参数传递错误 126     找到了该命令但无法执行 127     未找到要运行的命令 128     命令被系统强行结束			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NABny3.html" rel="bookmark">Bourne Shell中的条件判断</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条件判断是一个程序获得智能的基础,而Bourne Shell脚本则通过命令 [ 来模拟大多数编程语言中的条件表达式. shell中支持的控制结构有: (1) if then else fi (2) for in do done (3) while do done 第二种主要用于遍历,可能不需要条件判断,其它两种则免不了和 [ 命令共同使用了.下面讲解这个命令如何模拟条件表达式. 文件/目录判断[ -b FILE ] 如果 FILE 存在且是一个块特殊文件则为真.[ -c FILE ] 如果 FI			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0beLGmM.html" rel="bookmark">JavaScript 中if条件判断语句</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				条件语句 在写代码时,经常会需要基于不同判断执行不同的动作: 您可以在代码中使用条件语句来实现这一点. 在 JavaScript 中,我们可使用如下条件语句:1.使用 if 来规定要执行的代码块,如果指定条件为 true:2.使用 else 来规定要执行的代码块,如果相同的条件为 false:3.使用 else if 来规定要测试的新条件,如果第一个条件为 false:4.使用 switch 来规定多个被执行的备选代码块.  if 语句单分支语句,由一个if组成,如果条件成立,则进入代码开始执行			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NKNroM.html" rel="bookmark">shell中的条件判断if和测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				(一)条件判断 if 中-z 到 -d 的意思 [ -a file ] 若file存在,则为真. [ -b file ] 若file存在且是一个块特殊文件,则为真. [ -c file ] 若file存在且是一个字特殊文件,则为真. [ -d file ] 若file存在且是一个目录,则为真. [ -e file ] 若file存在,则为真. [ -f file ] 若file存在且是一个普通文件,则为真. [ -g file ] 若file存在且已经设置了SGID,则为真. [ -h file			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MXDqxVM.html" rel="bookmark">javascript中对条件判断语句的优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不管写什么程序,平时都会用到条件语句,如:if...else... switch这样的语句,来达到对条件的判断.下面看来一段代码: function abc(test){ if (test == 1){ console.log('test的值是'+test); } else if (test == 2){ console.log('test的值是'+test); } else if (test == 3){ console.log('test的值是'+test); } else if (test			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPxoxzM.html" rel="bookmark">SQL中的条件判断语句（case when zhen if&comma;ifnull）用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.case when then 适用于:sqlserver 和mysql case具有两种格式.简单case函数和case搜索函数.这两种方式,可以实现相同的功能.简单case函数的写法相对比较简洁,但是和case搜索函数相比,功能方面会有些限制,比如写判定式.还有一个需要注重的问题,case函数只返回第一个符合条件的值,剩下的case部分将会被自动忽略. --简单case函数case sex  when '1' then '男'  when '2' then '女’  else '其他' e			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEZ6pQ0.html" rel="bookmark">shell中的条件判断</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				read命令 命令的语法: read [参数] 变量名 常用的参数如下: -t timeout 设定超时时间. -p prompt 设定提示信息,该提示信息将会显在光标前. 条件测试: 条件测试可以判断脚本程序运行的状态.它常用于条件分支,以便在不同的运行状态下执行不同的命令. [ param1 判断符号 param2 ] [ 判断符号 param ] 文件状态测试: -b filename 判断文件filename是否为块设备,若文件不存在返回假. -c filename 判断文件filena			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVNR7wM.html" rel="bookmark">条件判断语句（七）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们之前说过 makefile 是一种脚本语言程序,那么程序便会有相应的语法.在 makefile 中支持条件判断语句,可以根据条件的值来决定 make 的执行,也可以比较两个不同变量或者变量和常量值.需要注意的是:条件判断语句只能用于控制 make 实际执行的语句:但是,不能控制规则中命令的执行过程.格式如下 条件判断语句的语法如下 那么在 makefile 中都有哪些的条件判断关键呢? 关键字 功能 ifeq 判断参数是否相等,相等为 true,否则为 false ifneq 判断参数是否不			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lXZmX0.html" rel="bookmark" class="title">&lpar;简单&rpar;  POJ  3126  Prime Path，BFS。</a>
					<div>
						Description The ministers of the cabinet were quite upset by the message from the Chief of Security  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0R87Vp4.html" rel="bookmark" class="title">492&period; Construct the Rectangle</a>
					<div>
						For a web developer, it is very important to know how to design a web page's size. So, given a speci ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDGZEM.html" rel="bookmark" class="title">browser-sync配合gulp-less使用</a>
					<div>
						开发前端一直用gulp来做自动化构建. browser-sync插件用的很舒服,开发的时候用一个外接屏幕,把要调试的网页放在外接屏幕上,你只要写完代码(js,css)后,按一下 cmd+s ,就可以直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MG8LRG0.html" rel="bookmark" class="title">sql随机查询数据语句&lpar;NewID&lpar;&rpar;&comma;Rnd&comma;Rand&lpar;&rpar;&comma;random&lpar;&rpar;&rpar;</a>
					<div>
						SQL Server: 代码如下 复制代码 Select TOP N * From TABLE Order By NewID() NewID()函数将创建一个 uniqueidentifier 类型的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wRe7b0.html" rel="bookmark" class="title">基于色彩调和的专题图自动生成系统</a>
					<div>
						position:static(静态定位) 当position属性定义为static时,可以将元素定义为静态位置,所谓静态位置就是各个元素在HTML文档流中应有的位置 podisition定位问题.所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O71O73.html" rel="bookmark" class="title">Operation System - Peterson&amp;amp&semi;&num;39&semi;s Solution算法 解决多线程冲突</a>
					<div>
						Person's solution 是用来一种基于软件的解决关键区域问题的算法(critical-section). 它并不是完美的,有可能不对地工作.并且是限制解决两个进程同步的问题. 可是它非常e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xrYOL4.html" rel="bookmark" class="title">java取整和java四舍五入方法</a>
					<div>
						1 import java.math.BigDecimal; 2 import java.text.DecimalFormat; 3 4 public class TestGetInt{ 5 publ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qEWja3.html" rel="bookmark" class="title">NSString与int和float的相互转换</a>
					<div>
						NSString *tempA = @&quot;123&quot;; NSString *tempB = @&quot;456&quot;; 1,字符串拼接 NSString *newString  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AE6Ld4.html" rel="bookmark" class="title">MyEclipse 安装findbugs插件</a>
					<div>
						最近发现findbugs神器,找的结果也很细致,简单说下安装步骤. 1.下载findbugs,下载地址:http://download.csdn.net/download/xiaojian1018/8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b57YYM.html" rel="bookmark" class="title">跑步之后的胡思乱想</a>
					<div>
						跑完步之后发现一个很有意思的解答. 做事情很多时候不想跳出自己的舒服圈.其实只要做就会发现一个很有意思的公式: do {爽++} while (true) 人的思想总是受外界干扰,很难坚持下去, 好比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/02XLO24.html" rel="bookmark" class="title">2014 HDU多校弟五场A题 【归并排序求逆序对】</a>
					<div>
						这题是2Y,第一次WA贡献给了没有long long 的答案QAQ 题意不难理解,解题方法不难. 先用归并排序求出原串中逆序对的个数然后拿来减去k即可,如果答案小于0,则取0 学习了归并排序求逆序对的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjaDvM.html" rel="bookmark" class="title">【leetcode刷题笔记】Integer to Roman</a>
					<div>
						Given an integer, convert it to a roman numeral. Input is guaranteed to be within the range from 1 t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xAXOk3.html" rel="bookmark" class="title">地址薄（一）</a>
					<div>
						先定义头文件:address.h #ifndef ADDRESSBOOK_H #define ADDRESSBOOK_H #include &lt;QWidget&gt; QT_BEGIN_NAMES ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KPeoJ3.html" rel="bookmark" class="title">清理一下电脑垃圾，打开Eclipse发现左边的全部项目消失了</a>
					<div>
						使用360清理一下电脑垃圾,打开Eclipse发现左边的全部项目消失了,但在对应的workspace可以找到项目,这个问题已经是第三次遇到了(估计是被360清理掉Eclipse的一些部署或配置文件所导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZGa9Z4.html" rel="bookmark" class="title">安卓 SDK升级后模拟器闪退</a>
					<div>
						我们使用的是intel加速模拟器,但sdk更新后却不能使用,因为intel的HAXM虚拟程序没有更新,虽然在线更新包说已经Installed,但自己要亲自到根目录找到安装包并安装. 安卓sdk在线更新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBDoLK3.html" rel="bookmark" class="title">pyside窗口关闭触发事件</a>
					<div>
						窗口关闭事件本质上是重写了类内部的closeEvent方法,可以通过重写这个类去实现其他你想要的关闭事件. 下面的例子实现了一个简单的窗口,并为窗口添加了关闭时弹出提示框的功能. 1 import s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rpZGaM.html" rel="bookmark" class="title">Linux系统学习之用户与用户组</a>
					<div>
						在Linux中,每个用户都拥有一个唯一的用户名和与之相关的用户标识符(UID,数值型).一个用户可以属于多个用户组,每个用户组都拥有唯一一个名称和一个用户组标识符(GID,数值型). UID和GID的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e8ZVDM.html" rel="bookmark" class="title">CentOS 7 中自定义nagios 插件脚本</a>
					<div>
						一. 系统环境 操作系统:CentOS 7 nagios 服务器端版本:nagios-4.0.8-2.el7.x86_64 nrpe  客户端版本:nrpe-2.15-7.el7.x86_64 二.n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPgPVD4.html" rel="bookmark" class="title">redis神器</a>
					<div>
						redis是内存型数据库,数据保存在内存中,通过tcp直接存取,优势是速度快,并发高,缺点是数据类型有限,查询功能不强,一般用作缓存. redis具有持久化机制,可以定期将内存中的数据持久化到硬盘上. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vO8pg4.html" rel="bookmark" class="title">uiimage 上传 数据库</a>
					<div>
						之前我所接触的上传图片都是直接与服务器交互的,即 app端要做的就是上传到服务器 现在这个项目却是app先上传到&quot;数据库&quot;,由&quot;数据库&quot;传到服务端 下面说主题  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
